commit:     4bd71fa4ad1485b531572749de8e883b7ab2012a
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 30 14:53:21 2024 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Dec 31 09:07:48 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4bd71fa4

media-video/smplayer: drop 23.6.0, 23.6.0-r1

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-video/smplayer/Manifest                      |   1 -
 .../files/smplayer-23.6.0-mpv-0.37-resume.patch    |  15 ---
 media-video/smplayer/smplayer-23.6.0-r1.ebuild     | 126 ---------------------
 media-video/smplayer/smplayer-23.6.0.ebuild        | 125 --------------------
 4 files changed, 267 deletions(-)

diff --git a/media-video/smplayer/Manifest b/media-video/smplayer/Manifest
index d468036d934a..da56855a9b78 100644
--- a/media-video/smplayer/Manifest
+++ b/media-video/smplayer/Manifest
@@ -1,2 +1 @@
-DIST smplayer-23.6.0.tar.bz2 5164535 BLAKE2B 
27200ad658a2acfc3c93c48ed59fca2333b5935d5b7e955cb12dd0c33566aaf0288c68081a68578904076e467bb3b39f9a5bb702d7ad8be0474aa400e40ce6e0
 SHA512 
097085ffae11b0d065f0822e36466f3e934d4484de29146deba66de14bfd4abcaa8dfd91aa5890921f336a99c3392650e932102812bf401a843d7a86dfc4996d
 DIST smplayer-24.5.0.tar.bz2 5221961 BLAKE2B 
6c088b87508ada09fb8712610da76403fbcc9f0d3f2ce1908d99560400aac8351b08453c77f2cf64f13625b09e4d748a7f0a64458e6429aeb29ce1ae49ebcaad
 SHA512 
0de968babbb99a92ef2721d8b30d336433bb99745212da0d7dadec9ec389da0be6cdc5b461960662b4342f80ee6407a814bc6abc3372c07a75ee6804e705851e

diff --git a/media-video/smplayer/files/smplayer-23.6.0-mpv-0.37-resume.patch 
b/media-video/smplayer/files/smplayer-23.6.0-mpv-0.37-resume.patch
deleted file mode 100644
index d2ff738e76d8..000000000000
--- a/media-video/smplayer/files/smplayer-23.6.0-mpv-0.37-resume.patch
+++ /dev/null
@@ -1,15 +0,0 @@
-https://bugs.gentoo.org/919917#c2
-https://github.com/smplayer-dev/smplayer/issues/837
---- a/src/mpvoptions.cpp
-+++ b/src/mpvoptions.cpp
-@@ -848,6 +848,10 @@ void MPVProcess::mute(bool b) {
- 
- void MPVProcess::setPause(bool b) {
-       sendCommand(QString("set pause %1").arg(b ? "yes" : "no"));
-+
-+      // Workaround for mpv 0.37, playback not resuming after pause
-+      // It seems mpv reports the pause state in the status line with some 
delay
-+      if (b) sendCommand("no-osd seek 0 relative exact");
- }
- 
- void MPVProcess::frameStep() {

diff --git a/media-video/smplayer/smplayer-23.6.0-r1.ebuild 
b/media-video/smplayer/smplayer-23.6.0-r1.ebuild
deleted file mode 100644
index b0f6f1eccfd3..000000000000
--- a/media-video/smplayer/smplayer-23.6.0-r1.ebuild
+++ /dev/null
@@ -1,126 +0,0 @@
-# Copyright 2007-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PLOCALES="am ar_SY ar bg ca cs da de el en_GB en en_US es et eu fa fi fr gl
-he_IL hr hu id it ja ka ko ku lt mk ms_MY nl nn_NO pl pt_BR pt ro_RO ru_RU
-sk sl_SI sq_AL sr sv th tr uk_UA uz vi_VN zh_CN zh_TW"
-PLOCALE_BACKUP="en_US"
-
-inherit plocale qmake-utils toolchain-funcs xdg
-
-DESCRIPTION="Great Qt GUI front-end for mplayer/mpv"
-HOMEPAGE="https://www.smplayer.info/";
-SRC_URI="https://github.com/smplayer-dev/${PN}/releases/download/v${PV}/${P}.tar.bz2";
-
-LICENSE="GPL-2+ BSD-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~hppa ~ppc ~ppc64 x86 ~amd64-linux"
-IUSE="bidi debug"
-
-DEPEND="
-       dev-qt/qtcore:5
-       dev-qt/qtdbus:5
-       dev-qt/qtgui:5=
-       dev-qt/qtnetwork:5[ssl]
-       dev-qt/qtsingleapplication[X,qt5(+)]
-       dev-qt/qtwidgets:5
-       dev-qt/qtxml:5
-       sys-libs/zlib
-       x11-libs/libX11
-"
-RDEPEND="${DEPEND}
-       || (
-               media-video/mpv[libass(+),X]
-               media-video/mplayer[bidi?,libass,png,X]
-       )
-"
-BDEPEND="dev-qt/linguist-tools:5"
-
-PATCHES=(
-       "${FILESDIR}/${PN}-14.9.0.6966-unbundle-qtsingleapplication.patch" # 
bug 487544
-       "${FILESDIR}/${PN}-17.1.0-advertisement_crap.patch"
-       "${FILESDIR}/${PN}-18.2.0-jobserver.patch"
-       "${FILESDIR}/${PN}-18.3.0-disable-werror.patch"
-       "${FILESDIR}/${P}-mpv-0.37-resume.patch"
-)
-
-src_prepare() {
-       use bidi || PATCHES+=( "${FILESDIR}"/${PN}-16.4.0-zero-bidi.patch )
-
-       default
-
-       # Upstream Makefile sucks
-       sed -i -e "/^PREFIX=/ s:/usr/local:${EPREFIX}/usr:" \
-               -e "/^DOC_PATH=/ s:packages/smplayer:${PF}:" \
-               -e '/\.\/get_svn_revision\.sh/,+2c\
-       cd src && $(DEFS) $(MAKE)' \
-               Makefile || die
-
-       # Turn off online update checker, bug #479902
-       sed -e 's:DEFINES += UPDATE_CHECKER:#&:' \
-               -e 's:DEFINES += CHECK_UPGRADED:#&:' \
-               -i src/smplayer.pro || die
-
-       # Turn off intrusive share widget
-       sed -e 's:DEFINES += SHARE_WIDGET:#&:' \
-               -i src/smplayer.pro || die
-
-       # Turn debug message flooding off
-       if ! use debug ; then
-               sed -e 's:#\(DEFINES += NO_DEBUG_ON_CONSOLE\):\1:' \
-                       -i src/smplayer.pro || die
-       fi
-
-       # Commented out because it gives false positives
-       #plocale_find_changes "${S}"/src/translations ${PN}_ .ts
-
-       # Do not default compress man page
-       sed '/gzip -9.*\.1$/d' -i Makefile || die
-       sed 's@\.gz$@@' -i smplayer.spec || die
-}
-
-src_configure() {
-       cd src || die
-       eqmake5 QT_MAJOR_VERSION=5
-}
-
-gen_translation() {
-       local mydir="$(qt5_get_bindir)"
-
-       ebegin "Generating $1 translation"
-       "${mydir}"/lrelease ${PN}_${1}.ts
-       eend $? || die "failed to generate $1 translation"
-}
-
-src_compile() {
-       emake CC="$(tc-getCC)"
-
-       cd src/translations || die
-       plocale_for_each_locale gen_translation
-}
-
-src_install() {
-       # remove unneeded copies of the GPL
-       rm Copying* docs/*/gpl.html || die
-       # don't install empty dirs
-       rmdir --ignore-fail-on-non-empty docs/* || die
-
-       default
-}
-
-pkg_preinst() {
-       xdg_pkg_preinst
-}
-
-pkg_postinst() {
-       xdg_pkg_postinst
-
-       elog "If you want URL support with media-video/mpv, please install"
-       elog "net-misc/yt-dlp."
-}
-
-pkg_postrm() {
-       xdg_pkg_postrm
-}

diff --git a/media-video/smplayer/smplayer-23.6.0.ebuild 
b/media-video/smplayer/smplayer-23.6.0.ebuild
deleted file mode 100644
index 0e610c410625..000000000000
--- a/media-video/smplayer/smplayer-23.6.0.ebuild
+++ /dev/null
@@ -1,125 +0,0 @@
-# Copyright 2007-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PLOCALES="am ar_SY ar bg ca cs da de el en_GB en en_US es et eu fa fi fr gl
-he_IL hr hu id it ja ka ko ku lt mk ms_MY nl nn_NO pl pt_BR pt ro_RO ru_RU
-sk sl_SI sq_AL sr sv th tr uk_UA uz vi_VN zh_CN zh_TW"
-PLOCALE_BACKUP="en_US"
-
-inherit plocale qmake-utils toolchain-funcs xdg
-
-DESCRIPTION="Great Qt GUI front-end for mplayer/mpv"
-HOMEPAGE="https://www.smplayer.info/";
-SRC_URI="https://github.com/smplayer-dev/${PN}/releases/download/v${PV}/${P}.tar.bz2";
-
-LICENSE="GPL-2+ BSD-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~hppa ~ppc ~ppc64 x86 ~amd64-linux"
-IUSE="bidi debug"
-
-DEPEND="
-       dev-qt/qtcore:5
-       dev-qt/qtdbus:5
-       dev-qt/qtgui:5=
-       dev-qt/qtnetwork:5[ssl]
-       dev-qt/qtsingleapplication[X,qt5(+)]
-       dev-qt/qtwidgets:5
-       dev-qt/qtxml:5
-       sys-libs/zlib
-       x11-libs/libX11
-"
-RDEPEND="${DEPEND}
-       || (
-               media-video/mpv[libass(+),X]
-               media-video/mplayer[bidi?,libass,png,X]
-       )
-"
-BDEPEND="dev-qt/linguist-tools:5"
-
-PATCHES=(
-       "${FILESDIR}/${PN}-14.9.0.6966-unbundle-qtsingleapplication.patch" # 
bug 487544
-       "${FILESDIR}/${PN}-17.1.0-advertisement_crap.patch"
-       "${FILESDIR}/${PN}-18.2.0-jobserver.patch"
-       "${FILESDIR}/${PN}-18.3.0-disable-werror.patch"
-)
-
-src_prepare() {
-       use bidi || PATCHES+=( "${FILESDIR}"/${PN}-16.4.0-zero-bidi.patch )
-
-       default
-
-       # Upstream Makefile sucks
-       sed -i -e "/^PREFIX=/ s:/usr/local:${EPREFIX}/usr:" \
-               -e "/^DOC_PATH=/ s:packages/smplayer:${PF}:" \
-               -e '/\.\/get_svn_revision\.sh/,+2c\
-       cd src && $(DEFS) $(MAKE)' \
-               Makefile || die
-
-       # Turn off online update checker, bug #479902
-       sed -e 's:DEFINES += UPDATE_CHECKER:#&:' \
-               -e 's:DEFINES += CHECK_UPGRADED:#&:' \
-               -i src/smplayer.pro || die
-
-       # Turn off intrusive share widget
-       sed -e 's:DEFINES += SHARE_WIDGET:#&:' \
-               -i src/smplayer.pro || die
-
-       # Turn debug message flooding off
-       if ! use debug ; then
-               sed -e 's:#\(DEFINES += NO_DEBUG_ON_CONSOLE\):\1:' \
-                       -i src/smplayer.pro || die
-       fi
-
-       # Commented out because it gives false positives
-       #plocale_find_changes "${S}"/src/translations ${PN}_ .ts
-
-       # Do not default compress man page
-       sed '/gzip -9.*\.1$/d' -i Makefile || die
-       sed 's@\.gz$@@' -i smplayer.spec || die
-}
-
-src_configure() {
-       cd src || die
-       eqmake5 QT_MAJOR_VERSION=5
-}
-
-gen_translation() {
-       local mydir="$(qt5_get_bindir)"
-
-       ebegin "Generating $1 translation"
-       "${mydir}"/lrelease ${PN}_${1}.ts
-       eend $? || die "failed to generate $1 translation"
-}
-
-src_compile() {
-       emake CC="$(tc-getCC)"
-
-       cd src/translations || die
-       plocale_for_each_locale gen_translation
-}
-
-src_install() {
-       # remove unneeded copies of the GPL
-       rm Copying* docs/*/gpl.html || die
-       # don't install empty dirs
-       rmdir --ignore-fail-on-non-empty docs/* || die
-
-       default
-}
-
-pkg_preinst() {
-       xdg_pkg_preinst
-}
-
-pkg_postinst() {
-       xdg_pkg_postinst
-
-       elog "If you want URL support with media-video/mpv, please install"
-       elog "net-misc/yt-dlp."
-}
-
-pkg_postrm() {
-       xdg_pkg_postrm
-}

Reply via email to